tigase.jaxmpp.core.client.xmpp.modules.omemo

## Class OMEMOMessage

- java.lang.Object
- - tigase.jaxmpp.core.client.xml.ElementWrapper
  - - tigase.jaxmpp.core.client.xmpp.stanzas.StreamPacket
    - - tigase.jaxmpp.core.client.xmpp.stanzas.Stanza
      - - tigase.jaxmpp.core.client.xmpp.stanzas.Message
        - - tigase.jaxmpp.core.client.xmpp.modules.omemo.OMEMOMessage

- All Implemented Interfaces:
    Element

      public class OMEMOMessage
      extends Message

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class tigase.jaxmpp.core.client.xmpp.stanzas.Stanza

      `Stanza.UnkownStanzaTypeException`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OMEMOMessage(boolean secured, Element element)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isSecured()`
    `void` | `setSecured(boolean secured)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.stanzas.Message

      `create, getBody, getSubject, getThread, getType, setBody, setSubject, setThread`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.stanzas.Stanza

      `addFlag, canBeConverted, create, createIQ, createMessage, createPresence, getErrorCondition, getErrorMessage, getFrom, getId, getTo, getType, hasFlag, removeFlag, setFrom, setId, setTo, setType`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.stanzas.StreamPacket

      `getXmppStream, setXmppStream`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xml.ElementWrapper

      `addChild, equals, findChild, getAsString, getAttribute, getAttributes, getChildAfter, getChildElementValue, getChildElementValue, getChildren, getChildren, getChildrenNS, getChildrenNS, getFirstChild, getFirstChild, getName, getNextSibling, getParent, getValue, getWrappedElement, getXMLNS, hashCode, removeAttribute, removeChild, setAttribute, setAttributes, setChildElementValue, setChildElementValue, setParent, setValue, setXMLNS, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OMEMOMessage

          protected OMEMOMessage(boolean secured,
                                 Element element)
                          throws XMLException

      Throws:
        `XMLException`

  - ### Method Detail

    - #### isSecured

          public boolean isSecured()

    - #### setSecured

          public void setSecured(boolean secured)

Copyright © 2006–2020 Tigase. All rights reserved.